<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Ping StructType
 * @package Dg
 * @subpackage Structs
 */
class DgPing extends AbstractStructBase
{
    /**
     * The OTA_PingRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgOTA_PingRQ
     */
    public $OTA_PingRQ;
    /**
     * Constructor method for Ping
     * @uses DgPing::setOTA_PingRQ()
     * @param \dgsoft\StructType\DgOTA_PingRQ $oTA_PingRQ
     */
    public function __construct(\dgsoft\StructType\DgOTA_PingRQ $oTA_PingRQ = null)
    {
        $this
            ->setOTA_PingRQ($oTA_PingRQ);
    }
    /**
     * Get OTA_PingRQ value
     * @return \dgsoft\StructType\DgOTA_PingRQ|null
     */
    public function getOTA_PingRQ()
    {
        return $this->OTA_PingRQ;
    }
    /**
     * Set OTA_PingRQ value
     * @param \dgsoft\StructType\DgOTA_PingRQ $oTA_PingRQ
     * @return \dgsoft\StructType\DgPing
     */
    public function setOTA_PingRQ(\dgsoft\StructType\DgOTA_PingRQ $oTA_PingRQ = null)
    {
        $this->OTA_PingRQ = $oTA_PingRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgPing
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
